Subject: Re: [PATCH] Fix single quotes, AsciiDoc escaping, and other formatting/grammatical issues

From: Junio C Hamano <[email-masked]>
Date: Wed, 13 Nov 2013 09:51:25 -0800

"Jason St. John" <[email-masked]> writes:

> rev-list-options.txt:
> -- added line breaks before some "endif" AsciiDoc commands to fix syntax
>      highlighting in Vim
> -- added line breaks after some options subheadings to fix syntax
>      highlighting in Vim

Can't Vim be fixed instead (just kidding ;-)?

> -- added backticks around options/commands that were missing it

> -- removed AsciiDoc escapes for "--" in options/commands
> -- replaced single quotes around options/commands with backticks

I think the former is part of the latter. Both are good changes.

> -- replaced "regexp" with "regular expression(s)" where appropriate

Good.

> -- added backticks around a file path to /dev/null

Good---this is a mere special case of "literal examples" and can be
thrown into the same bin as "options, commands etc.".

> -- replaced some double quotes with proper AsciiDoc quotes (e.g.
>      ``foo'')

Hmph.  No strong opinions either way from me, but others may have some.

> -- slightly reworded some sentences for easier reading
> -- fix some typos (e.g. "show" -> "shown")

Usually, these two are better done in a patch separate from the
formatting changes, but let's see how bad they are.

Interestingly, only the last bullet point is in the imperative mood,
that gives an order to the codebase to "be so"; all others are
written in past tense with implied subject "I".  We prefer to see
the former, i.e.

        Subject: Documentation/rev-list-options: fix mark-ups and typos

        Various fixes:

         - Add an empty line before endif; this helps syntax
           highlighting in Vim;

         - Add an empty line after the item label line in labeled
           lists; this helps syntax highlighting in Vim and also
           helps line-rewrapping of the body text in Emacs;

         - Typeset literal options, commands and pathnames in
           monospace;

         - Use "regular expression(s)" instead of "regexp" where
           appropriate;

         ...

>
> Signed-off-by: Jason St. John <[email-masked]>
> ---
> This is a resubmit of patch 2/4 from my earlier patchset:
> http://marc.info/?l=git&m=138395814108214&w=2

Thanks.

> @@ -213,15 +220,15 @@ endif::git-rev-list[]
>  --cherry-pick::
>  
>  	Omit any commit that introduces the same change as
> -	another commit on the "other side" when the set of
> +	another commit on the ``other side'' when the set of
>  	commits are limited with symmetric difference.
>  +
>  For example, if you have two branches, `A` and `B`, a usual way
>  to list all commits on only one side of them is with
>  `--left-right` (see the example below in the description of

> -the `--left-right` option).  It however shows the commits that were cherry-picked
> -from the other branch (for example, "3rd on b" may be cherry-picked
> -from branch A).  With this option, such pairs of commits are
> +the `--left-right` option). However, it shows the commits that were
> +cherry-picked from the other branch (for example, "3rd on b" may be
> +cherry-picked from branch A). With this option, such pairs of commits are
>  excluded from the output.

I am not sure if I see improvement here.

You left "3rd on b" as-is---intended?

> @@ -254,14 +261,14 @@ list.
>  	exclude (that is, '{caret}commit', 'commit1..commit2',
>  	nor 'commit1\...commit2' notations cannot be used).
>  +
> -With '\--pretty' format other than oneline (for obvious reasons),
> +With `--pretty` format other than `oneline` (for obvious reasons),

Good eyes.  `oneline` is a literal value for an option that needs to
be in monospace.  Good.

>  --no-walk[=(sorted|unsorted)]::
>  
>  	Only show the given commits, but do not traverse their ancestors.
>  	This has no effect if a range is specified. If the argument
> -	"unsorted" is given, the commits are show in the order they were
> +	"unsorted" is given, the commits are shown in the order they were

Not `unsorted`???

>  	given on the command line. Otherwise (if "sorted" or no argument

Likewise.  Not `sorted`???

>  `--date=rfc` (or `--date=rfc2822`) shows timestamps in RFC 2822
> -format, often found in E-mail messages.
> +format, often found in e-mail messages.

Hmph.  I do not have strong preference either way.

> -`--date=short` shows only date but not time, in `YYYY-MM-DD` format.
> +`--date=short` shows only the date, but not the time, in `YYYY-MM-DD` format.

Thanks.

> @@ -814,7 +829,7 @@ ifndef::git-rev-list[]
>  Diff Formatting
>  ~~~~~~~~~~~~~~~
>  
> -Below are listed options that control the formatting of diff output.
> +Listed below are options that control the formatting of diff output.

Good.  This grammo dates back to Sep 2006 ;-)

Will queue it as-is for now (primarily for me not to forget about
the topic), but we may want to further tweak some.

Thanks.